2017-09-23 00:14 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004232Kali Linux[All Projects] General Bugpublic2017-09-11 11:43
Reporterempty 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version 
Summary0004232: 404 errors when using apt OR apt-get
DescriptionUpwards of 100 different 404 errors in the repo
Steps To ReproduceTwo different clean installs at two different sites on different machines
Additional InformationE: Failed to fetch http://http.kali.org/kali/pool/main/b/base-files/base-files_2017.2.0_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/g/glibc/libc6-dbg_2.24-14_amd64.deb 404 Not Found
[...]
Attached Files

-Relationships
+Relationships

-Notes

~0007264

rhertzog (administrator)

Please read https://kali.training/chapter-8/introduction-to-apt/ to get familiar with APT and the way Kali mirrors work.

Then you need to make sure that you have run "apt update" successfully. If after that, you are still getting errors while trying to download files or if the "apt update" command itself is failing, then re-open this ticket and indicate which mirror you have been redirected to (you can see it in the output of "apt update") so that we can double check the status of that specific mirror.

~0007265

empty (reporter)

Ran apt-get update again, still having issue.
Mirror is ct.mirror.garr.it/kali
My location if relevant is Eastern Australia

~0007266

rhertzog (administrator)

Thanks, confirmed. That mirror is badly broken:
http://ct.mirror.garr.it/mirrors/kali/dists/kali-rolling/main/binary-amd64/ => files dating back to September 1st
But the trace file that we are monitoring has a recent date:
http://ct.mirror.garr.it/mirrors/kali/project/trace/repo.kali.org

I disabled the mirror for now and I'll check with the mirror maintainer.

BTW an italian mirror for an australian user is a bit under-optimized, it would be nice to have a mirror in Australia...

~0007290

rhertzog (administrator)

ct.mirror.garr.it should be fixed now, I re-enabled it.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-08 07:47 empty New Issue
2017-09-08 09:04 rhertzog Assigned To => rhertzog
2017-09-08 09:04 rhertzog Status new => closed
2017-09-08 09:04 rhertzog Resolution open => no change required
2017-09-08 09:04 rhertzog Note Added: 0007264
2017-09-08 09:12 empty Status closed => feedback
2017-09-08 09:12 empty Resolution no change required => reopened
2017-09-08 09:12 empty Note Added: 0007265
2017-09-08 09:53 rhertzog Status feedback => assigned
2017-09-08 09:53 rhertzog Resolution reopened => open
2017-09-08 09:53 rhertzog Additional Information Updated View Revisions
2017-09-08 09:53 rhertzog Note Added: 0007266
2017-09-11 11:43 rhertzog Status assigned => resolved
2017-09-11 11:43 rhertzog Resolution open => fixed
2017-09-11 11:43 rhertzog Note Added: 0007290
+Issue History